[SCM] debian-live/config-webc branch, master, updated. 994700fab682e90f7320405d689040ab464fb4de

Chris Lamb chris at chris-lamb.co.uk
Tue Aug 26 20:12:42 UTC 2008


The following commit has been merged in the master branch:
commit f2f0b6740640542fcd7f562c4911f7095b840293
Author: Chris Lamb <chris at chris-lamb.co.uk>
Date:   Sun Aug 17 11:23:03 2008 +0100

    Add post-installation hook.
    
    Signed-off-by: Chris Lamb <chris at chris-lamb.co.uk>

diff --git a/webconverger/config/binary_local-includes/install/late_command.sh b/webconverger/config/binary_local-includes/install/late_command.sh
new file mode 100644
index 0000000..a529354
--- /dev/null
+++ b/webconverger/config/binary_local-includes/install/late_command.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+set -e
+
+log () {
+	logger -t webconverger_late_cmd "$@"
+}
+
+USER="webc"
+
+log "Removing packages"
+in-target apt-get remove --yes aufs-modules-* squashfs-modules-* user-setup sudo
+
+log "Removing empty xorg.conf files"
+rm -f /target/etc/X11/xorg.conf*
+
+log "Setting Grub splash"
+cp -f /cdrom/boot/grub/splash.xpm.gz /target/boot/grub/splash.xpm.gz
+in-target update-grub
+# Generated path is wrong
+sed -i -e 's|//grub/splash.xpm.gz|/boot/grub/splash.xpm.gz|' /target/boot/grub/menu.lst
+
+log "Workaround for older live-initramfs versions"
+in-target chown -R 1000:1000 /home/${USER}
+
+log "Remove passwords"
+in-target passwd --delete root
+in-target passwd --delete ${USER}
+
+log "Setting up autologin"
+sed -i -e "s|^\([^:]*:[^:]*:[^:]*\):.*getty.*\<\(tty[0-9]*\).*$|\1:/bin/login -f ${USER} </dev/\2 >/dev/\2 2>\&1|" /target/etc/inittab
+
+log "Flushing filesystem buffers"
+sync

-- 
debian-live/config-webc



More information about the debian-live-changes mailing list